summaryrefslogtreecommitdiffstats
path: root/system/xorg-server-xephyr/xorg-server-xephyr.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/xorg-server-xephyr/xorg-server-xephyr.SlackBuild')
-rw-r--r--system/xorg-server-xephyr/xorg-server-xephyr.SlackBuild108
1 files changed, 108 insertions, 0 deletions
diff --git a/system/xorg-server-xephyr/xorg-server-xephyr.SlackBuild b/system/xorg-server-xephyr/xorg-server-xephyr.SlackBuild
new file mode 100644
index 0000000000..ddc891797b
--- /dev/null
+++ b/system/xorg-server-xephyr/xorg-server-xephyr.SlackBuild
@@ -0,0 +1,108 @@
+#!/bin/sh
+
+# Slackware build script for xorg-server-xephyr
+
+# Copyright 2008 Heinz Wiesinger <hmwiesinger@gmx.at>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=xorg-server
+VERSION=1.3.0.0
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+zcat $CWD/x11.startwithblackscreen.diff.gz | patch -p1 --verbose
+zcat $CWD/xorgconfig.diff.gz | patch -p1 --verbose
+zcat $CWD/xorg-server.dpi.diff.gz | patch -p1 --verbose
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --infodir=/usr/info \
+ --mandir=/usr/man \
+ --disable-static \
+ --enable-xcsecurity \
+ --with-pic \
+ --with-int10=x86emu \
+ --with-default-font-path="/usr/share/fonts/TTF,/usr/share/fonts/OTF,/usr/share/fonts/Type1,/usr/share/fonts/misc,/usr/share/fonts/75dpi/:unscaled" \
+ --with-module-dir=/usr/lib/xorg/modules \
+ --with-dri-driver-path=/usr/lib/xorg/modules/dri \
+ --with-os-name="Slackware 12.0" \
+ --with-os-vendor="Slackware Linux Project" \
+ --with-xkb-path=/etc/X11/xkb \
+ --with-xkb-output=/var/lib/xkb \
+ --disable-xprint \
+ --disable-xorg \
+ --disable-xvfb \
+ --disable-xnest \
+ --disable-dmx \
+ --enable-kdrive \
+ --disable-xsdl \
+ --enable-xephyr
+
+make
+make install DESTDIR=$PKG
+
+# Remove everthing already installed by upstream packages
+rm -rf $PKG/usr/{lib,share} $PKG/var $PKG/usr/man
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-xephyr-$VERSION
+cat $CWD/$PRGNAM-xephyr.SlackBuild > $PKG/usr/doc/$PRGNAM-xephyr-$VERSION/$PRGNAM-xephyr.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-xephyr-$VERSION-$ARCH-$BUILD$TAG.tgz